Loading...
Searching...
No Matches
BALL::UhligCavFreeEnergyProcessor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/uhligCavFreeEnergyProcessor.h>`

Inheritance diagram for BALL::UhligCavFreeEnergyProcessor:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| UhligCavFreeEnergyProcessor ()
| UhligCavFreeEnergyProcessor (const UhligCavFreeEnergyProcessor &proc)
virtual | ~UhligCavFreeEnergyProcessor ()
Assignment
const UhligCavFreeEnergyProcessor & | operator= (const UhligCavFreeEnergyProcessor &proc)
virtual void | clear ()
Predicates
bool | operator== (const UhligCavFreeEnergyProcessor &proc) const
Processor functions
virtual bool | finish ()
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Options

Options | options

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

Processor for the computation of the cavitation free energy. This processor is using the method proposed by Simonson/Bruenger, J. Phys. Chem. 98:4683–4694, 1994 which is based on Uhlig, J. Phys. Chem. 41(9):1215–1225, 1937.

Definition at line 30 of file uhligCavFreeEnergyProcessor.h.

## Constructor & Destructor Documentation

## UhligCavFreeEnergyProcessor() [1/2]

BALL::UhligCavFreeEnergyProcessor::UhligCavFreeEnergyProcessor | ( |  | ) |

Default constructor

## UhligCavFreeEnergyProcessor() [2/2]

BALL::UhligCavFreeEnergyProcessor::UhligCavFreeEnergyProcessor | ( | const UhligCavFreeEnergyProcessor & | proc | ) |

Copy constructor

## ~UhligCavFreeEnergyProcessor()

virtual BALL::UhligCavFreeEnergyProcessor::~UhligCavFreeEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::UhligCavFreeEnergyProcessor::clear | ( |  | ) |

virtual

Clear function

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::UhligCavFreeEnergyProcessor::finish | ( |  | ) |

virtual

This is where the actual computation takes place.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

const UhligCavFreeEnergyProcessor & BALL::UhligCavFreeEnergyProcessor::operator= | ( | const UhligCavFreeEnergyProcessor & | proc | ) |

Assignment operator

## operator==()

bool BALL::UhligCavFreeEnergyProcessor::operator== | ( | const UhligCavFreeEnergyProcessor & | proc | ) | const

Equality operator

## Member Data Documentation

## options

Options BALL::UhligCavFreeEnergyProcessor::options

Options for the calculation of the caviation free energy

Definition at line 174 of file uhligCavFreeEnergyProcessor.h.